# cyclonedx.contrib.component.builders

Component related builders

## Classes

`ComponentBuilder` |

## Module Contents

class cyclonedx.contrib.component.builders.ComponentBuilder
  make_for_file(absolute_file_path: str, *, name: str | None) → cyclonedx.model.component.Component

    Helper method to create a `cyclonedx.model.component.Component` that represents the provided local file as a Component.

    Args:
      absolute_file_path:

        Absolute path to the file you wish to represent

      name:

        Optionally, if supplied this is the name that will be used for the component. Defaults to arg `absolute_file_path`.

    Returns:

      Component representing the supplied file